<!DOCTYPE html>
<html>
<head>
    <title>Conditions Example</title>
</head>
<body>
    <h1>PHP Conditional Statements - User Roles</h1>
    <?php
    // User Roles and Permissions Example

    $userRole = "editor"; // Possible roles: "guest", "editor", "admin"

    // if...elseif...else - Checking user permissions
    if ($userRole == "admin") {
        echo "<p>Welcome, Administrator! You have full access.</p>";
        $allowedToEdit = true;
        $allowedToDelete = true;
    } elseif ($userRole == "editor") {
        echo "<p>Welcome, Editor! You can edit content.</p>";
        $allowedToEdit = true;
        $allowedToDelete = false; // Editors can't delete
    } else { // Default for "guest" or other roles
        echo "<p>Welcome, Guest! You can only view content.</p>";
        $allowedToEdit = false;
        $allowedToDelete = false;
    }

    // Displaying actions based on permissions
    echo "<p>You are " . ($allowedToEdit ? "allowed" : "not allowed") . " to edit content.</p>";
    echo "<p>You are " . ($allowedToDelete ? "allowed" : "not allowed") . " to delete content.</p>";


    // switch - Displaying a personalized message based on the user role
    switch ($userRole) {
        case "admin":
            $message = "You have complete control.";
            break;
        case "editor":
            $message = "Make sure to proofread carefully!";
            break;
        case "guest":
            $message = "Enjoy the content!";
            break;
        default:  // Handle unexpected roles
            $message = "Welcome!";
    }
    echo "<p>Personalized message: " . $message . "</p>";



    // Ternary operator example (shorter if/else)
    $displayAdminPanel = ($userRole == "admin") ? "block" : "none";
    echo "<div style='display: " . $displayAdminPanel . "; background-color: lightgray; padding: 10px;'>Admin Panel (Visible only to admins)</div>";



    ?>
    <p><strong>Explanation:</strong> Conditional statements control code execution. <code>if...elseif...else</code> checks conditions sequentially. <code>switch</code> handles multiple cases based on a single value.  The ternary operator provides a concise way to write simple if/else statements.  These are essential for controlling logic and user experience in your applications.</p>
</body>
</html>