<!DOCTYPE html>
<html>
<head>
    <title>Predefined Variables - Security</title>
</head>
<body>
    <h1>Predefined Variables - Security Example</h1>
    <?php
    // $_GET example (with crucial sanitization)
    if (isset($_GET['user'])) {
        echo "<p>User (GET): " . htmlspecialchars($_GET['user']) . "</p>"; // Sanitize input!
    }

    // $_POST example (with crucial sanitization)
    if (isset($_POST['product'])) {
       echo "<p>Product (POST): " . htmlspecialchars($_POST['product']) . "</p>"; // Sanitize input!
    }
    
    // $_REQUEST example (with crucial sanitization)
    if (isset($_REQUEST['action'])) {
        echo "<p>Action (REQUEST): " . htmlspecialchars($_REQUEST['action']) . "</p>"; // Sanitize input!
    }

    // $_COOKIE example (with crucial sanitization)
    if (isset($_COOKIE['my_cookie'])) {
        echo "<p>My Cookie: " . htmlspecialchars($_COOKIE['my_cookie']) . "</p>"; // Sanitize input!
    }

    // $_SERVER['HTTP_USER_AGENT'] - Security and Privacy Warning
    // Directly displaying the User-Agent string can expose sensitive information
    // and be used for tracking.  It's generally best to avoid displaying it.
    // echo "<p>User Agent: " . $_SERVER['HTTP_USER_AGENT'] . "</p>"; // Uncomment with extreme caution!
    ?>
    <p><strong>Explanation:</strong>  It's <strong>crucial</strong> to sanitize user input from <code>$_GET</code>, <code>$_POST</code>, <code>$_REQUEST</code>, and <code>$_COOKIE</code> using <code>htmlspecialchars()</code> to prevent security vulnerabilities like cross-site scripting (XSS).  Avoid directly displaying <code>$_SERVER['HTTP_USER_AGENT']</code> due to potential security and privacy risks.</p>
</body>
</html>